local EventFrame = CreateFrame("Frame")
EventFrame:RegisterEvent("PLAYER_LOGIN")


local mssg
local tracker
local playerid

local function DecimalToHex(r,g,b)
    return string.format("|cff%02x%02x%02x", r*255, g*255, b*255)
end

local playername = UnitName("player")
local playerclass,PLAYERCLASS = UnitClass("player")
local playerlevel = UnitLevel("Player")
local classcolor = RAID_CLASS_COLORS[PLAYERCLASS]
local r,g,b = classcolor.r,classcolor.g,classcolor.b
local classcolorhex = DecimalToHex(r,g,b)


local function CreateMsgFrame()
		mssg = CreateFrame("MessageFrame", "AfterKillMessageFrame", UIParent)
		mssg:SetPoint("LEFT")
		mssg:SetPoint("RIGHT")
		mssg:SetPoint("CENTER")
		mssg:SetHeight(31)
		mssg:SetInsertMode("TOP")
		mssg:SetFrameStrata("HIGH")
		mssg:SetTimeVisible(1)
		mssg:SetFadeDuration(1)
		mssg:SetFont(STANDARD_TEXT_FONT, 30, "OUTLINE")
end


local function SetUpTracker()
		tracker = CreateFrame("Frame")
		tracker:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
		tracker:SetScript("OnEvent", function(_, _, _, event, _, sourceGUID, sourceName, _, _, destGUID, destName,  destFlags)
				if event == "PARTY_KILL" and sourceGUID==playerid then
					mssg:AddMessage(classcolorhex..sourceName.."|r has killed: "..destName, 1, 1, 1)
				end
		end)
end


EventFrame:SetScript("OnEvent", function(self, event, ...)
		if event == "PLAYER_LOGIN" then
				playerid = UnitGUID("player")
				CreateMsgFrame()
				SetUpTracker()
		end
end)